Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventsResume

Resume event logging that had been put into “paused” mode (see `PetscLogEventsPause()` for details.) for a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventsResume(PetscLogHandler handler)

Not collective

## Input Parameter

- handler - a `PetscLogHandler`

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogEventsResume()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling, `PetscLogHandlerEventsPause()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventsResume_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerEventsResume_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages